
 LinHES - Feature # 100: No language option offered

Status: Closed Priority: Normal
Author: Human Category: Installation/Upgrade
Created: 01/08/2009 Assignee:
Updated: 11/07/2012 Due date:
Description: English appears to be the installer's unchangeable language.  Now that the installer uses MythTV's 

architecture, it contains the necessary tools to tokenize every string and allow native speakers to translate the 
installer text.

Associated revisions
11/07/2012 01:10 pm - jams
LinHES-config:  add support for selecting the lang/country during install.
The lang is then translated to a locale which is then applied to the system by mv_locale.

The lang->locale lookup is done inside mv_locale with a static dict.

refs #738
refs #100
refs #680

11/07/2012 01:11 pm - jams
mythinstall:  new build that includes displaying the lang screen..and also writes out the language var to /etc/systemconfig

refs #738
refs #100
refs #680

11/07/2012 01:16 pm - jams
LinHES-config: use all lowercase when looking up the locale in the language map.

refs #738
refs #100
refs #680

History
01/24/2010 05:24 am - smilerish
Further to this, the option to choose a locale would be nice (or to detect/infer it from the time zone?). Post-install, I change my system's locale to en_GB 
by manually editing /etc/locale.conf, but it ought to be automated.

10/21/2011 09:01 am - brfransen
- Tracker changed from Bug to Feature

11/07/2012 01:10 pm - jams
- Category set to Installation/Upgrade

- Target version set to 8.0

- Status changed from New to Closed

The locale is now set, based off the language selected during install.
Anything unknown defaults back to en_US UTF-8

04/30/2025 2/2


